/* @import url("https://fonts.googleapis.com/css?family=Poppins:400,500,700"); */
@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Anonymous+Pro:ital,wght@0,400;0,700;1,400;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inconsolata:wght@200;300;400;500;600;700;800;900&display=swap");
html {
  font-family: "Poppins", sans-serif;
  --bg: #eee;
  --code: #555;
  --anti-bg: #222;
  --contrast: #222;
  --anti-contrast: rgb(255, 142, 37);
  --accents: rgb(255, 142, 37);
  --glow: transparent;
  --social: #171516;
  --github-hover: #6e5494;
  --codepen-hover: #888888;
  --twitter-hover: #1da1f2;
  --twitch-hover: #9146ff;
  --mail-hover: #ea4335;
  --overflow-hover: #f48024;
}
html[data-theme="dark"] {
  --bg: #222;
  --code: #bbb;
  --anti-bg: #eee;
  --contrast: rgb(255, 142, 37);
  --anti-contrast: #222;
  --glow: rgb(255, 142, 37);
  --social: #f5f5f5;
}
::-moz-selection {
  color: var(--anti-bg);
  background: rgb(255, 142, 37);
}

::selection {
  color: var(--anti-bg);
  background: rgb(255, 142, 37);
}

body {
  background: var(--bg);
  color: var(--anti-bg);
  margin: 0;
}
#brand {
  margin: 0;
  display: inline-flex;
  font-size: 30px;
}
#loopo {
  margin-left: 0;
  margin-right: 0;
  color: rgb(255, 142, 37);
}
#krator {
  margin: 0;
  color: var(--anti-bg);
  /* text-shadow: 0px 0px 5px var(--glow); */
}
/* !!!!!!!!!!!!!!!!!!!!!!!!!!!   LOGO   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
.logo-k {
  fill: var(--anti-bg);
}
/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

.cont {
  display: inline-flex;
  margin: auto;
}
h1 {
  font-size: 40px;
}
@media only screen and (max-width: 320px) {
  #brand {
    display: none;
  }
  h1 {
    font-size: 28px !important;
  }
  h2 {
    font-size: 24px !important;
  }
  p {
    font-size: 20px !important;
  }
}
@media only screen and (max-width: 500px) {
  h1 {
    font-size: 36px;
  }
  h2 {
    font-size: 28px;
  }
  p {
    font-size: 24px;
  }
}

.navbar {
  background: var(--bg);
  padding: 0.5rem;
  box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.3);
}

#navbarResponsive {
  transition: 0.2s;
}
.navbar-nav {
  display: flex;
  align-items: center;
}

.navbar-nav li {
  text-align: center;
  padding-left: 1rem;
  padding-right: 1rem;
}

.nav-link {
  font-size: 1.1em !important;
  color: var(--anti-bg) !important;
  font-weight: normal;
}
.nav-link.active {
  color: rgb(255, 142, 37) !important;
  /* font-weight: bold; */
}

input {
  padding: 0.5em;
  border-radius: 0.25em;
}
/* input:focus {
  box-shadow: 0 0 5px rgb(255, 142, 37);
} */
.modal-content {
  background: var(--bg);
}
.modal-header {
  border: none;
}
.modal-footer {
  border: none;
  padding: 0.5rem;
  padding-bottom: 1rem;
}
.input-group-text {
  width: 100%;
}
#modal-changer {
  width: auto;
  margin: auto;
  margin-left: 1rem;
  margin-right: 1rem;
}

.hamburger {
  position: relative;
  right: -0.5em;
  top: 2.5rem;
  width: 50px;
  height: 50px;
}

.toggle {
  margin: 0%;
  padding: 0%;
  transform-origin: -0.95em -0.75em;
  width: 0;
  height: 0;
  background-color: transparent;
  position: absolute;
  cursor: pointer;
  transition: 0.2s;
  padding-left: 10px;
}

#toggle:checked ~ .toggle {
  transform: rotate(180deg);
}

hr.light {
  border-top: 1px solid var(--anti-bg);
  opacity: 0.1;
  width: 75%;
  margin-top: 0.8rem;
  margin-bottom: 1rem;
}
/* The Close Button */
.close {
  color: rgb(255, 142, 37);
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.toggle-container {
  display: inline-flex;
  text-align: center;
  padding-top: 7px;
}

input[type="checkbox"] {
  height: 0;
  width: 0;
  visibility: hidden;
}

.switch {
  cursor: pointer;
  text-indent: -9999px;
  width: 32px;
  height: 16px;
  background: var(--contrast);
  display: block;
  border-radius: 16px;
  position: relative;
}

.fa-moon {
  color: var(--contrast);
  font-size: 16px;
  height: auto;
  margin-bottom: 7px;
  margin-right: 3px;
  position: relative;
}

.switch:after {
  content: "";
  position: absolute;
  top: 1px;
  left: 1px;
  width: 14px;
  height: 14px;
  background: var(--anti-contrast);
  border-radius: 14px;
  transition: 0.3s;
}

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

input:checked + .switch {
  background: var(--contrast);
}

input:checked + .switch:after {
  left: calc(100% - 1px);
  transform: translateX(-100%);
}

.switch:active:after {
  width: 32px;
}

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

.inf {
  margin: 0%;
  padding: 0%;
  position: absolute;
  background: transparent;
  transform-origin: center;
  top: -1.5em;
  right: 0;
  width: 1.5em;
  height: 1.5em;
  border: 0.375em solid var(--contrast);
  border-radius: 50%;
  border-top-left-radius: 0%;
  transform: rotate(-45deg);
}
.inf-left {
  transform: rotate(135deg);
  right: 1.6em;
}

.my-btn {
  height: 2.5rem;
  /*aspect-ratio: 1;*/
  width: auto;
  color: #222;
  background: rgb(255, 142, 37);
  border: 1px solid var(--bg);
  border-radius: 0.25rem;
}
.my-btn:hover {
  color: var(--anti-bg);
  background: var(--bg);
  border: 1px solid var(--anti-bg);
}

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! media links !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

.col-12 {
  text-align: center !important;
}
.social a {
  font-size: 4.5em;
  margin: 3rem;
}
.fa-stack-overflow,
.fa-envelope,
.fa-github,
.fa-codepen,
.fa-twitter,
.fa-twitch {
  color: var(--social);
  transition: 0.1s;
}
.fa-stack-overflow:hover,
.fa-envelope:hover,
.fa-github:hover,
.fa-codepen:hover,
.fa-twitter:hover,
.fa-twitch:hover {
  transform: scale(1.1);
}
.fa-github:hover {
  color: var(--github-hover);
}
.fa-codepen:hover {
  color: var(--codepen-hover);
}
.fa-twitter:hover {
  color: var(--twitter-hover);
}
.fa-twitch:hover {
  color: var(--twitch-hover);
}
.fa-envelope:hover {
  color: var(--mail-hover);
}
.fa-stack-overflow:hover {
  color: var(--overflow-hover);
}

.fa-eye,
.fa-eye-slash {
  color: #222;
}

/**************************************************** SWEET ALERT 2 ****************************************************/
.swal2-popup,
.swal2-success-circular-line-left,
.swal2-success-fix,
.swal2-success-circular-line-right {
  background-color: var(--bg);
}

.swal2-styled.swal2-confirm {
  background-color: rgb(255, 142, 37);
  color: #222;
}
.swal2-content,
.swal2-title {
  color: var(--anti-bg);
}

code {
  /* background: var(--code); */
  color: var(--code);
  font-weight: normal;
  letter-spacing: 2px;
  font-family: "Inconsolata", monospace;
}

.card-body {
  color: var(--anti-bg);
  background: var(--card-bg);
}

.card {
  border: none;
  border-radius: 5px;
  background: var(--bg);
}

.article-cover-image {
  object-fit: cover;
  width: 100%;
  height: 400px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}
